import sys

s = input()

k = 1
T = 11000

# Count distinct 6-grams
counts = dict()
for i in range(len(s) - k + 1):
    gram = s[i : i + k]
    if gram not in counts:
        counts[gram] = 0
    counts[gram] += 1

m = max(*counts.values())
print(m, file=sys.stderr)

# For random text, nearly all of the 6-grams will be unique
if m < T:
    print("no")
else:
    print("yes")
